## binutils 2.30

=== debian/changelog ===
binutils (2.30-21ubuntu1~18.04.9) bionic-security; urgency=medium

  * SECURITY UPDATE: out-of-bound read vulnerability
    - debian/patches/CVE-2023-25584.patch: Lack of bounds checking in
      vms-alpha.c parse_module
    - CVE-2023-25584
  * SECURITY UPDATE: segmentation fault due to uninitialized `file_table`
    - debian/patches/CVE-2023-25585.patch: Use bfd_zmalloc to alloc
      file_table
    - CVE-2023-25585
  * SECURITY UPDATE: segmentation fault due to uninitialized `the_bfd`
    - debian/patches/CVE-2023-25588.patch: Field `the_bfd` of `asymbol` is
      uninitialised
    - CVE-2023-25588

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 19 May 2023 14:22:50 +0530

binutils (2.30-21ubuntu1~18.04.8) bionic-security; urgency=medium

  * SECURITY UPDATE: Heap-buffer-overflow
    - debian/patches/CVE-2022-38533.patch: strip possibly
      heap-buffer-overflow in bfd/coffcode.h.
    - CVE-2022-38533

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 30 Aug 2022 10:03:11 -0300

binutils (2.30-21ubuntu1~18.04.7) bionic-security; urgency=medium

  * SECURITY UPDATE: Use after free in bfd_hash_lookup
    - debian/patches/CVE-2020-16592.patch: don't use a pointer into strings
      that may be freed for section name in bfd/peXXigen.c.
    - CVE-2020-16592
  * SECURITY UPDATE: DoS via memory consumption in DWARF debug sections
    - debian/patches/CVE-2021-3487.patch: check for debug sections with
      excessive sizes in bfd/dwarf2.c.
    - CVE-2021-3487

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 20 Oct 2021 07:11:39 -0400

binutils (2.30-21ubuntu1~18.04.5) bionic; urgency=medium

  * d/p/lp1903814-lp1903814-s390_prevent_GOT_access.patch:
    Prevent GOT access rewrite for certain symbols (LP: #1903814)
    Thanks to Ilya Leoshkevich for porting the upstream patch to v2.30:
    https://sourceware.org/git/?p=binutils-gdb.git;a=commit;h=e6213e09ed0ef6ee40d00981c38baac6964aa95b

 -- Lukas Märdian <slyon@ubuntu.com>  Fri, 12 Feb 2021 09:45:35 +0100

binutils (2.30-21ubuntu1~18.04.4) bionic; urgency=medium

  * d/p/lp-1883880-x86-don-t-mistakenly-scale-non-8-bit-displacements.patch:
    avoid scaling displacements that breaks e.g. some AVX512 code (LP: #1883880)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 18 Jun 2020 13:03:55 +0200

binutils (2.30-21ubuntu1~18.04.3) bionic-security; urgency=medium

  * SECURITY UPDATE: DoS via a large attribute section
    - debian/patches/CVE-2018-8945.patch: prevent a memory exhaustion
      failure when running objdump on a fuzzed input file with corrupt
      string and attribute sections.
    - CVE-2018-8945
    - CVE-2018-13033
  * SECURITY UPDATE: stack Exhaustion in C++ demangling
    - debian/patches/CVE-2018-9138.patch: limit recusion and add
      --no-recruse-limit option to tools that support name demangling.
    - debian/patches/CVE-2018-9138-2.patch: fix a failure in the libiberty
      testsuite by increasing the recursion limit to 2048.
    - CVE-2018-9138
    - CVE-2018-12641
    - CVE-2018-12697
    - CVE-2018-12698
    - CVE-2018-12699
    - CVE-2018-12700
    - CVE-2018-17794
    - CVE-2018-17985
    - CVE-2018-18484
    - CVE-2018-18700
    - CVE-2018-18701
  * SECURITY UPDATE: denial of service via crafted binary file
    - debian/patches/CVE-2018-10372.patch: fix illegal memory access when
      parsing corrupt DWARF information.
    - CVE-2018-10372
  * SECURITY UPDATE: denial of service via crafted binary file
    - debian/patches/CVE-2018-10373.patch: add a check for a NULL table
      pointer before attempting to compute a DWARF filename.
    - CVE-2018-10373
  * SECURITY UPDATE: out-of-bounds memory write
    - debian/patches/CVE-2018-10534.patch: fix an illegal memory access
      when copying a PE format file with corrupt debug information.
    - CVE-2018-10534
  * SECURITY UPDATE: denial of service via crafted file
    - debian/patches/CVE-2018-10535.patch: fix an illegal memory access
      when trying to copy an ELF binary with corrupt section symbols.
    - CVE-2018-10535
  * SECURITY UPDATE: excessive memory consumption
    - debian/patches/CVE-2018-12934.patch: remove support for demangling
      GCC 2.x era mangling schemes.
    - debian/patches/CVE-2018-12934-2.patch: remove support for old gnu v2
      name mangling.
    - CVE-2018-12934
    - CVE-2018-18483
  * SECURITY UPDATE: denial of service via crafted ELF file
    - debian/patches/CVE-2018-1735x.patch: fix two segment faults in nm.
    - CVE-2018-17358
    - CVE-2018-17359
  * SECURITY UPDATE: heap-based buffer over-read
    - debian/patches/CVE-2018-17360.patch: fix buffer overflow.
    - CVE-2018-17360
  * SECURITY UPDATE: DoS via invalid memory address
    - debian/patches/CVE-2018-18309.patch: add _bfd_clear_contents bounds
      checking.
    - CVE-2018-18309
  * SECURITY UPDATE: DoS via heap-based buffer over-read
    - debian/patches/CVE-2018-18605.patch: fix buffer overflow in
      sec_merge_hash_lookup.
    - CVE-2018-18605
  * SECURITY UPDATE: DoS via NULL pointer dereference
    - debian/patches/CVE-2018-18606.patch: fix NULL pointer dereference in
      merge_strings.
    - CVE-2018-18606
  * SECURITY UPDATE: DoS via NULL pointer dereference
    - debian/patches/CVE-2018-18607.patch: fix NULL pointer dereference in
      elf_link_input_bfd.
    - CVE-2018-18607
  * SECURITY UPDATE: heap-based buffer overflow in bfd_elf32_swap_phdr_in
    - debian/patches/CVE-2018-19931.patch: Fix a memory exhaustion bug when
      attempting to allocate room for an impossible number of program
      headers.
    - CVE-2018-19931
  * SECURITY UPDATE: integer overflow and infinite loop
    - debian/patches/CVE-2018-19932.patch: remove an abort in the bfd
      library and add a check for an integer overflow when mapping sections
      to segments.
    - CVE-2018-19932
  * SECURITY UPDATE: memory leak via crafted ELF file
    - debian/patches/CVE-2018-20002.patch: fix memory leak in

