## binutils 2.31.1

=== debian/changelog ===
binutils (2.31.1-16+rpi2) buster-staging; urgency=medium

  * Allow dependency of binutils on binutils-triplet to be satisfied by
    foreign architectures, to facilitate setting up environments where the
    linker is 64-bit while everything else is 32-bit.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 06 Feb 2020 17:10:11 +0000

binutils (2.31.1-16+rpi1) buster-staging; urgency=medium

  [changes brought forward from 2.29-4+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 17 Aug 2017 15:41:49 +0000]
  * Disable testsuite, it fails on our lxc based autobuilders.

 -- Raspbian forward porter <root@raspbian.org>  Sat, 27 Apr 2019 12:55:32 +0000

binutils (2.31.1-16) unstable; urgency=medium

  * Snapshot, taken from the 2.31 branch (20190321).
    - Fix PR ld/24355, segfault in function called from ppc_finish_symbols.
  * Fix VCS attributes in the control file. Closes: #915982.
  * Demote binutils-<target> from Multi-Arch: foreign to Multi-Arch: allowed
    (Helmut Grohne). Closes: #920286.
  * Let binutils-for-host Depends: binutils-<host>:any.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Mar 2019 15:49:23 +0100

binutils (2.31.1-15) unstable; urgency=high

  * Fix PR ld/24276, taken from the trunk. Closes: #923246.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Feb 2019 22:30:21 +0100

binutils (2.31.1-14) unstable; urgency=medium

  * Snapshot, taken from the 2.31 branch (20190219).
    - PR binutils/23919 from the 2.32 branch.
    - PR gas/24165, x86: Rewrite NOP generation for fill and alignment.
    - SPARC: fix PR ld/18841, skip PR ld/23169 on SPARC.
    - Fix some Visium issues.
  * PR binutils/23919 fixes an alignment issue with compressed debug
    sections. A corresponding gdb upload is needed to correctly read
    the fixed sections.
    Debhelper should never have enabled compressed debug sections in
    the first place ... No savings, only added pain for tools not
    supporting those.
  * Drop the test dependencies for mips64 and powerpcspe.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Feb 2019 13:40:50 +0100

binutils (2.31.1-12) unstable; urgency=medium

  * Stop building cross packages now built by binutils-mipsen.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 07 Feb 2019 14:51:45 +0100

binutils (2.31.1-11) unstable; urgency=medium

  * Snapshot, taken from the 2.31 branch (20181214).
    - Fix PR ld/23929, elf: Don't merge .note.gnu.property section in IR.
    - x86: Put back BFD_RELOC_X86_64_GOTPCREL.
    - PR binutils/23788, objcopy: failed to find link section.

 -- Matthias Klose <doko@debian.org>  Fri, 14 Dec 2018 20:22:21 +0100

binutils (2.31.1-10) unstable; urgency=medium

  * Snapshot, taken from the 2.31 branch (20181130).
    - Fix PR ld/23937, powerpc64le local ifunc IRELATIVE relocs are wrong.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Nov 2018 13:20:30 +0100

binutils (2.31.1-9) unstable; urgency=medium

  * Snapshot, taken from the 2.31 branch (20181127).
    - Fix Pr ld/23904, regression in Cortex A53 erratum with PIE.
      Closes: #911497.

 -- Matthias Klose <doko@debian.org>  Tue, 27 Nov 2018 14:25:35 +0100

binutils (2.31.1-8) unstable; urgency=medium

  * Snapshot, taken from the 2.31 branch (20181121).
    - Fix PR gas/23854 (x86): Disable GOT relaxation with data prefix.
    - Fix PR ld/23818, when assigning symbol version, hide debug symbols defined
      in discarded sections from IR objects so that they can be removed later.
    - ARC updates.
    - ARM: Skip new binary decode tests on pe targets.
    - ARM: Fix disassembler crashing on -b binary when thumb file and thumb not
      forced.

 -- Matthias Klose <doko@debian.org>  Fri, 23 Nov 2018 09:02:12 +0100

binutils (2.31.1-7) unstable; urgency=medium

  * Snapshot, taken from the 2.31 branch (20181018).
    - AArch64: Fix error checking for SIMD udot (by element).
    - x86: Add Intel ENCLV to assembler and disassembler.

 -- Matthias Klose <doko@debian.org>  Thu, 18 Oct 2018 08:54:07 +0200

binutils (2.31.1-6) unstable; urgency=medium

  * Snapshot, taken from the 2.31 branch (20180919).
    - PR ld/23499: elf: Check for corrupt symbol version info.
    - Fix Aarch64 bug in warning filtering.
    - Improve the code in the assembler to detect and reject a duplicate
      input and output file.
  * Don't reset CROSS_ARCHS when building in an autopkg tests (as done by
    the cross-toolchain-base build test).

 -- Matthias Klose <doko@debian.org>  Wed, 19 Sep 2018 13:48:13 +0200

binutils (2.31.1-5) unstable; urgency=medium

  * Fix the "build" autopkg test, depending on fakeroot and allowing output
    on stderr.

 -- Matthias Klose <doko@debian.org>  Fri, 31 Aug 2018 11:56:41 +0200

binutils (2.31.1-4) unstable; urgency=medium

  * Rewrite. the "build" autopkg tests not to use the "build-needed"
    restriction until #906125 is fixed. Closes: #884117.
  * Build armel and armhf cross binutils on ppc64el.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Aug 2018 20:43:44 +0200

binutils (2.31.1-3) unstable; urgency=medium

  * Snapshot, taken from the 2.31 branch (20180814).
    - Fix PR ld/23428, properly add X86_ISA_1_NEEDED property.
    - Fix PR ld/23486, properly merge GNU_PROPERTY_X86_ISA_1_USED.
    - x32: Align the .note.gnu.property section to 4 bytes.
    - PowerPC64 __tls_get_addr_opt stub .eh_frame fix.
    - PowerPC64: __tls_get_addr_opt stubs and tocsave optimization.
    - PR gas/23465, x86: don't mistakenly scale non-8-bit displacements.
    - PR gold/23455, add --warn-drop-version option; by default, do not warn
      when discarding version info.
    - hppa: Fix unwind offset for call_info->start_symbol.
  * Build arm64 cross binutils on ppc64el.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Aug 2018 07:33:39 +0200

binutils (2.31.1-2) unstable; urgency=medium

  * Snapshot, taken from the 2.31 branch (20180726).
    - S/390: Set the htm flag on PPA.
    - x86: Add a GNU_PROPERTY_X86_ISA_1_USED note if needed.

