=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: binutils
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: James Troup <binutils@elmo.tasta.io>
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Build-Depends: autoconf (>= 2.64), dpkg-dev (>= 1.19.0.5),
   bison, flex, gettext, texinfo, dejagnu, quilt, chrpath, dwz,
   python3:any, file, xz-utils, lsb-release, zlib1g-dev, procps,
@@ -19,9 +18,7 @@
   g++-alpha-linux-gnu [amd64 i386 x32] <!nocheck>,
   g++-hppa-linux-gnu [amd64 i386 x32] <!nocheck>,
   g++-m68k-linux-gnu [amd64 i386 x32] <!nocheck>,
-  g++-mips64-linux-gnuabi64 [amd64 i386 x32] <!nocheck>,
   g++-powerpc-linux-gnu [amd64 i386 ppc64el x32] <!nocheck>,
-  g++-powerpc-linux-gnuspe [amd64 i386 x32] <!nocheck>,
   g++-powerpc64-linux-gnu [amd64 i386 x32] <!nocheck>,
   g++-riscv64-linux-gnu [amd64 i386 x32] <!nocheck>,
   g++-sh4-linux-gnu [amd64 i386 x32] <!nocheck>,
@@ -31,11 +28,13 @@
   g++-x86-64-linux-gnux32 [amd64 arm64 i386 ppc64el] <!nocheck>,
 Build-Conflicts: libelf-dev
 Homepage: https://www.gnu.org/software/binutils/
+Vcs-Browser: https://salsa.debian.org/toolchain-team/binutils/tree/binutils-2.31
+Vcs-Git: https://salsa.debian.org/toolchain-team/binutils.git
 XS-Testsuite: autopkgtest
 
 Package: binutils-for-host
 Architecture: any
-Depends: ${binutils:native} (>= ${binutils:minver}),
+Depends: ${binutils:native}:any (>= ${binutils:minver}),
   binutils-common (= ${binary:Version}),
 Multi-Arch: same
 Description: GNU assembler, linker and binary utilities for the host architecture
@@ -60,7 +59,7 @@
 Package: binutils
 Architecture: any
 Depends: ${shlibs:Depends}, binutils-common (= ${binary:Version}),
-  libbinutils (= ${binary:Version}), ${binutils:native} (= ${binary:Version})
+  libbinutils (= ${binary:Version}), ${binutils:native}:any (= ${binary:Version})
 Conflicts: modutils (<< 2.4.19-1), ${extraConflicts},
   binutils-multiarch (<< 2.27-8)
 Provides: elf-binutils, ${gold:Provides}
@@ -193,7 +192,7 @@
 Package: binutils-x86-64-linux-gnu
 Priority: optional
 Architecture: amd64 arm64 i386 ppc64el x32
-Multi-Arch: foreign
+Multi-Arch: allowed
 Depends: binutils-common (= ${binary:Version}),
   ${shlibs:Depends}, ${extraDepends}
 Suggests: binutils-doc (= ${source:Version})
@@ -219,7 +218,7 @@
 Package: binutils-i686-linux-gnu
 Priority: optional
 Architecture: i386 amd64 arm64 ppc64el x32
-Multi-Arch: foreign
+Multi-Arch: allowed
 Depends: binutils-common (= ${binary:Version}),
   ${shlibs:Depends}, ${extraDepends}
 Suggests: binutils-doc (= ${source:Version})
@@ -245,7 +244,7 @@
 Package: binutils-aarch64-linux-gnu
 Priority: optional
 Architecture: arm64 amd64 i386 x32 ppc64el
-Multi-Arch: foreign
+Multi-Arch: allowed
 Depends: binutils-common (= ${binary:Version}),
   ${shlibs:Depends}, ${extraDepends}
 Suggests: binutils-doc (= ${source:Version})
@@ -271,7 +270,7 @@
 Package: binutils-arm-linux-gnueabihf
 Priority: optional
 Architecture: armhf amd64 i386 x32 arm64 ppc64el
-Multi-Arch: foreign
+Multi-Arch: allowed
 Depends: binutils-common (= ${binary:Version}),
   ${shlibs:Depends}, ${extraDepends}
 Suggests: binutils-doc (= ${source:Version})
