=== debian/rules ===
--- 
+++ 
@@ -115,9 +115,7 @@
       CROSS_ARCHS =  s390x ppc64el arm64 armhf armel
       CROSS_ARCHS += mips mipsel mips64el
       CROSS_ARCHS += alpha hppa m68k
-      CROSS_ARCHS += mips64 mipsn32 mipsn32el
       CROSS_ARCHS += powerpc powerpcspe ppc64 sh4 sparc64
-      CROSS_ARCHS += mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el
       CROSS_ARCHS += ia64 riscv64
       CROSS_ARCHS += kfreebsd-amd64 kfreebsd-i386 hurd-i386
       ifneq (,$(filter $(DEB_HOST_ARCH), i386 x32))
@@ -130,11 +128,11 @@
         CROSS_ARCHS += x32
       endif
     else ifeq ($(DEB_HOST_ARCH),arm64)
-      CROSS_ARCHS = armel armhf amd64 i386 ppc64el riscv64 s390x x32
+      CROSS_ARCHS = armel armhf amd64 i386 x32
     else ifeq ($(DEB_HOST_ARCH),ppc64)
       CROSS_ARCHS = ppc64el
     else ifeq ($(DEB_HOST_ARCH),ppc64el)
-      CROSS_ARCHS = powerpc ppc64 amd64 i386 x32 arm64 armel armhf riscv64 s390x
+      CROSS_ARCHS = powerpc ppc64 amd64 i386 x32 arm64 armel armhf
     else
       CROSS_ARCHS =
     endif
@@ -142,6 +140,21 @@
     # c-t-b passes this one ...
     CROSS_ARCHS := $(filter-out $(DEB_HOST_ARCH),$(CROSS_ARCHS))
   endif
+else ifeq ($(src_name),binutils-mipsen)
+  with_native	=
+  with_cross	= yes
+  same_source	=
+  ifeq (,$(CROSS_ARCHS))
+    ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 x32 arm64 ppc64el))
+      CROSS_ARCHS = mips64 mipsn32 mipsn32el
+      CROSS_ARCHS += mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el
+    else
+      CROSS_ARCHS =
+    endif
+  else
+    # c-t-b passes this one ...
+    CROSS_ARCHS := $(filter-out $(DEB_HOST_ARCH),$(CROSS_ARCHS))
+  endif
 else
   # binutils-ports ...
   with_cross	= yes
@@ -156,11 +169,15 @@
 
 with_multiarch := yes
 
+# disabled: no build-needed restriction used in the autopkg test
+ifeq (0,1)
 # only build the basic package when running the autopkg tests
 ifneq (,$(ADT_TEST_TRIGGERS))
-  CROSS_ARCHS :=
+  # c-t-b sets CROSS_ARCHS which has to be respected, can't unset it here
+  #CROSS_ARCHS :=
   with_hppa64 :=
   with_multiarch :=
+endif
 endif
 
 HOST_ARCHS_armhf = amd64 i386 x32 arm64 ppc64el
@@ -170,12 +187,11 @@
 HOST_ARCHS_mipsel = amd64 i386 x32
 HOST_ARCHS_powerpc = amd64 i386 x32 ppc64el
 HOST_ARCHS_ppc64el = amd64 i386 x32 ppc64
-HOST_ARCHS_ppc64el = amd64 i386 x32 ppc64 arm64
-HOST_ARCHS_s390x = amd64 i386 x32 arm64 ppc64el
+HOST_ARCHS_s390x = amd64 i386 x32
 HOST_ARCHS_amd64 = arm64 i386 ppc64el x32
 HOST_ARCHS_i386 = amd64 arm64 ppc64el x32
 HOST_ARCHS_ia64 = amd64 i386 x32
-HOST_ARCHS_riscv64 = amd64 i386 x32 arm64 ppc64el
+HOST_ARCHS_riscv64 = amd64 i386 x32
 
 HOST_ARCHS_alpha = amd64 i386 x32
 HOST_ARCHS_hppa = amd64 i386 x32
@@ -228,19 +244,3 @@
   endif
   DPKG_TARGET_VARS := $(shell dpkg-architecture -f -t$(TARGET))
   DEB_TARGET_MULTIARCH = $(call vafilt,$(DPKG_TARGET_VARS),DEB_HOST_MULTIARCH)
-  DEB_TARGET_ARCH      = $(call vafilt,$(DPKG_TARGET_VARS),DEB_HOST_ARCH)
-  for_target           = dpkg-architecture -f -t$(TARGET) -c
-else
-  DEB_TARGET_MULTIARCH = $(DEB_HOST_MULTIARCH)
-  DEB_TARGET_ARCH      = $(DEB_HOST_ARCH)
-  for_target           =
-endif
-
-ifneq (,$(TARGET))
-  APPEND_TOOLLIBDIR=yes
-  export APPEND_TOOLLIBDIR
-endif
-
-ifeq (,$(DEB_HOST_MULTIARCH))
-  ifeq ($(DEB_HOST_ARCH),i386)
-    DEB_HOST_MULTIARCH = i386-linux-gnu
