=== debian/watch ===
version=2
http://ftp.gnu.org/gnu/binutils/binutils-([\d\.]*).tar.gz
