## binutils 2.31.1.5

=== debian/changelog ===
binutils (2.31.1.5-1+dde) unstable; urgency=medium

  * Fix CVE-2021-45078.
  * Fix CVE-2021-3549

 -- xinpeng wang <wangxinpeng@uniontech.com>  Tue, 15 Mar 2022 14:30:33 +0800

binutils (2.31.1.4-1+dde) unstable; urgency=medium

  * Fix CVE-2021-3487
  * 

 -- Chen Kaixu <chenkaixu@uniontech.com>  Sat, 05 Jun 2021 18:02:58 +0800

binutils (2.31.1.3-1+eagle) unstable; urgency=medium

  * Fix CVE-2020-35494 CVE-2020-35493 CVE-2020-16592

 -- zhouzilong <zhouzilong@uniontech.com>  Mon, 08 Feb 2021 10:48:04 +0800

binutils (2.31.1.1-17+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * fix cve 

 -- zhouzilong <zhouzilong@uniontech.com>  Wed, 09 Sep 2020 13:02:45 +0800

binutils (2.31.1-17+dde) unstable; urgency=medium
                                                                                 
    * adds spw and csr command support on mips64el                              
    * Add 3a4000 processor support -march=gs464v for loongson                   
                                                                                 
 -- Matthias Klose <doko@debian.org>  Thu, 21 Mar 2019 15:49:23 +0100 
