## binutils 2.31.1.7

=== debian/changelog ===
binutils (2.31.1.7-deepin1) unstable; urgency=medium

  * Fix CVE-2018-20623.
  * 

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Tue, 22 Nov 2022 17:25:00 +0800

binutils (2.31.1.6-1+dde) unstable; urgency=medium

  * Fix CVE-2019-1010204

 -- yanghaibo <yanghaibo@uniontech.com>  Thu, 17 Nov 2022 15:16:36 +0800
