## binutils 2.31.1.8

=== debian/changelog ===
binutils (2.31.1.8-deepin1) unstable; urgency=medium

  * Non-maintainer upload.
  * fix CVE-2020-35495 CVE-2020-35496 and CVE-2020-35507

 -- Ding Heng <dingheng@uniontech.com>  Mon, 26 Dec 2022 15:33:03 +0800
